Ver código fonte

Mon Sep 14 01:55:29 UTC 2026

Ralf Beckesch 2 semanas atrás
pai
commit
c7dc95ad39
1 arquivos alterados com 11 adições e 1 exclusões
  1. 11 1
      setup.sh

+ 11 - 1
setup.sh

@@ -1,2 +1,12 @@
 #!/bin/bash
-echo "Hallo Welt!"
+
+local_bin=$HOME/.local/bin  
+
+set -euo pipefail
+
+#  
+# Install "chezmoi" if not installed  
+#  
+if ! command -v chezmoid >/dev/null; then  
+       sh -c "$(curl -fsLS get.chezmoi.io)" -- -b $local_bin init --apply git@git.beckesch.it:beckesch/dotfiles.git 
+fi